﻿
$ErrorActionPreference = 'Stop';

$packageName= 'gitea'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://dl.gitea.io/gitea/1.17.3/gitea-1.17.3-gogit-windows-4.0-386.exe'
$url64      = 'https://dl.gitea.io/gitea/1.17.3/gitea-1.17.3-gogit-windows-4.0-amd64.exe'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName

  url           = $url
  url64bit      = $url64

  softwareName  = 'Gitea'

  checksum      = '6df3d9a4a52ab78900c7ebdaf1ccb947df4efa191016583de879f8d2b50126f2'
  checksumType  = 'sha256'
  checksum64    = '1f4f5046f6ad1ea0987918e2743053fa67add0700d0cf69616e665545cdf5695'
  checksumType64= 'sha256'

  fileFullPath  = "$toolsDir\gitea.exe"

  validExitCodes= @(0)
}

Get-ChocolateyWebFile @packageArgs
